#1 2017-04-22 17:31:21

roberto
Moderator
Registered: 2017-04-22
Posts: 49

kex protocol error: type 7 seq

Hello.
I was using xsibackup v4.7.2 for backuping VMs between two ESXi 6.0u1 hosts - worked great. Recently I updated to ESXi 6.0u2 (build 4192238). Because DSA auth is no longer supported I updated xsibackup to newest version - v9.0.1.
I got a lot of problems - locking vm files, xsi was looking for "datastore1" even when I am using "datastore" name etc. - same thing with "xsi-dir". But the biggest is problem with rsync, which is giving me errors:
[ Mon Mar 6 20:00:05 UTC 2017 ] ERROR CLRSYNC6, details: [SRVTERM] error: rsync error, details: kex protocol error: type 7 seq 781868 kex protocol error: type 7 seq 1461639
I tried to change xsi version to another one I found - v6.0.10. Same thing. Backuping gets a long time but at the end console shows errors, same on e-mail:
• kex protocol error: type 7 seq 1428487
• kex protocol error: type 7 seq 676679
• kex protocol error: type 7 seq 749200
(three errors copying one vm)
Where can I get older version like v5.1.6 of xsibackup?

Offline

#2 2017-04-22 17:40:22

Daniel
Moderator
Registered: 2017-04-22
Posts: 60

Re: kex protocol error: type 7 seq

XSIBackup tunnels Rsync data through OpenSSH. Different ESXi builds might contain different OpenSSH versions. That message seems to be just a warning, but it does in fact bring the tunnel down. It is a bug in OpenSSH_7.3

https://marc.info/?l=openssh-unix-dev&m … 200704&w=2

Run this:

/usr/lib/vmware/openssh/bin/ssh -V

To determine your OpenSSH version and downgrade or upgrade your system, depending on if VMWare fixes this soon or not.

VMWare is a great enterprise and has brought out great software along the years. In any case, I would beware of ESXi 6.5.0 until they release some more stable build: the vSphere client has been deprecated, but the web gui is inmature and very buggy. We have found a number of bugs so far, apart from the commented in this post.

Quote: "Those of you that have not yet faced the truth as computer experts, must understand that being among the first to try something is equivalent to be the first in trying the Caesar's food. If you want a long and happy life, run your production systems on well tested software, even at the risk of not being ahead of the pack."

Offline

#3 2017-11-09 18:35:58

admin
Administrator
Registered: 2017-04-21
Posts: 1,039

Re: kex protocol error: type 7 seq

From XSIBackup 9.1.9 and up, the program will detect versions on both sides of the peer and choose an adequate Key Exchange Protocol (A.K.A. K.E.X.). Nevertheless, if you connect from an ESXi 6.5.0 box to a lower version one, the remote party will only offer KEX methods that the OpenSSH version present in ESXi 6.5.0 does not support any more, resulting in the message above. As a result, you can only perform IP data transfers from a lower version to a higher one or between same version, but not from ESXi 6.5.0 to a lower version of ESXi.

In any case backing up from a given version to a lower one is not very common, nor very recommendable, as you may be copying VMs which cannot be used in a lower ESXi version. The word "may" is there on purpose, as it really depends on the VM hardware version, and not on the ESXi version itself. If you don't fully understand what is exposed in this post, I suggest that you start here: https://pubs.vmware.com/vsphere-51/inde … ADB1D.html

Offline

Board footer